def shorten_number (number):
    if len(str(number)) > 20:
        number = str(number /1000000000000000000) +"E"
    if len(str(number)) > 17:
        number = str(number /1000000000000000) +"P"
    if len(str(number)) > 14:
        number = str(number /1000000000000) +"T"
    if len(str(number)) > 11:
        number = str(number /1000000000) +"G"
    if len(str(number)) > 8:
        number = str(number /1000000) +"M"
    if len(str(number)) > 5:
        number = str(number /1000) + "K"
    if len(str(number)) > 4:
        number = str(number /100) + "h"
    return str(int(number))
